    Program d01tbfe

!     D01TBF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: d01tbf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: n = 6, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: a, b
      Integer                          :: ifail, j, key
!     .. Local Arrays ..
      Real (Kind=nag_wp)               :: abscis(n), weight(n)
!     .. Executable Statements ..
      Write (nout,*) 'D01TBF Example Program Results'

      a = 0.0E0_nag_wp
      b = 1.0E0_nag_wp

      key = -3
      ifail = 0
      Call d01tbf(key,a,b,n,weight,abscis,ifail)

      Write (nout,*)
      Write (nout,99998) 'Laguerre formula,', n, ' points'
      Write (nout,*)
      Write (nout,*) '    Abscissae        Weights'
      Write (nout,*)
      Write (nout,99999)(abscis(j),weight(j),j=1,n)

99999 Format (1X,2E15.6)
99998 Format (1X,A,I3,A)
    End Program d01tbfe
